- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0a526ba6-912f-4016-8d39-99d3a49044f1
    creation_time: 2023-02-17T12:10:35.463832Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_k.i
      input_file_hashes:
        c/loop-new/count_by_k.i: ee41851a84d57c0c483c2a5edf48180b7c141c1991cdc82f0d66c6775eb49f5b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_k.i
    file_hash: ee41851a84d57c0c483c2a5edf48180b7c141c1991cdc82f0d66c6775eb49f5b
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: i <= 1000000*k && 0 <= k && k <= 10 &&  ( i%k == 0 || k == 0 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 84d0cfa2-b60d-4c1a-9aed-7c3ac856c366
    creation_time: 2023-02-17T12:10:35.464108Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/count_by_k.i
      input_file_hashes:
        c/loop-new/count_by_k.i: ee41851a84d57c0c483c2a5edf48180b7c141c1991cdc82f0d66c6775eb49f5b
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/count_by_k.i
    file_hash: ee41851a84d57c0c483c2a5edf48180b7c141c1991cdc82f0d66c6775eb49f5b
    line: 30
    column: 0
    function: main
  location_invariant:
    string: i == 1000000*k
    type: assertion
    format: C

